#$ -N map-carq
#$ -o ../../logs/$JOB_NAME.$JOB_ID.log
#$ -e ../../logs/$JOB_NAME.$JOB_ID.err
#$ -cwd
#$ -pe smp 56
#$ -l h_vmem=17g
#$ -t 1:3
#$ -tc 3

#####################
GENOME_DIR=/mnt/data/arslan/Teas/01_Assembly/scaffolding

mkdir -p ../output_carq

export PATH=/mnt/data/arslan/tool/samtools/samtools-1.17/bin/:$PATH
export PATH=/mnt/data/arslan/tool/minimap/minimap2-2.26_x64-linux/:$PATH

echo -e "AJ\nZJ\nL618" >baseNames.txt
SEEDFILE="baseNames.txt"
SEED=$(awk "NR==$SGE_TASK_ID" $SEEDFILE)


minimap2 -ax map-hifi -t $NSLOTS -R "@RG\tID:foo\tSM:bar1\tLB:lib" \
${GENOME_DIR}/${SEED}-scaffold/${SEED}_rename.scaffold.fasta \
/mnt/data/arslan/Teas/00_Reads/${SEED}.fastq.gz |\
samtools view -h  -S -b -@ ${NSLOTS} -  -o ../output_carq/${SEED}_tmp.unsort.bam

samtools sort -@ ${NSLOTS} ../output_carq/${SEED}_tmp.unsort.bam -o ../output_carq/${SEED}.sort.bam
samtools index -@ ${NSLOTS} ../output_carq/${SEED}.sort.bam

rm ../output_carq/${SEED}_tmp.unsort.bam
