!/bin/bash

#$ -N Tea-Purge_s3
#$ -cwd
#$ -o logs/${JOB_NAME}.${JOB_ID}.${SGE_TASK_ID}.log
#$ -e logs/${JOB_NAME}.${JOB_ID}.${SGE_TASK_ID}.err
#$ -pe smp 80
#$ -l h_vmem=12g
#$ -t 1:3
#$ -tc 3
####################################
GENOME=/mnt/data/arslan/Teas/01_Assembly/Hifiasm
OUT=/mnt/data/arslan/Teas/01_Assembly/Purge

mkdir -p $OUT
cd $OUT

conda activate purgehap-env


cd ZJ_purge && purge_haplotigs purge -I 2G -g ${GENOME}/ZJ.bp.p_ctg.fasta -c AJ_coverage_stats.csv -t ${NSLOTS} -o ZJ.curated

cd ../AJ_purge && purge_haplotigs purge -I 8G -g ${GENOME}/AJ.bp.p_ctg.fasta -c AJ_coverage_stats.csv -t ${NSLOTS} -o AJ.curated

cd ../L618_purge && purge_haplotigs purge -I 1G -g ${GENOME}/L618.bp.p_ctg.fasta -c AJ_coverage_stats.csv -t ${NSLOTS} -o L618.curated
